# eoDoubleExchange Class Reference

Discrete crossover == exchange of values. More...

`#include <eoRealAtomXover.h>`

Inheritance diagram for eoDoubleExchange:

List of all members.

## Public Member Functions

| eoDoubleExchange ()
| (Default) Constructor.
virtual std::string | className () const
| The class name. Used to display statistics.
bool | operator() (double &r1, const double &r2)
| Exchanges or not the values.

## Detailed Description

Discrete crossover == exchange of values.

Definition at line 41 of file eoRealAtomXover.h.

The documentation for this class was generated from the following file:

- eoRealAtomXover.h